Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.connection.impl
Class TestDBConnImpl

    java.lang.Object
      com.stc.connector.hl7.framework.persist.connection.AbstractDBConnection
          com.stc.connector.hl7.framework.persist.connection.impl.TestDBConnImpl

    public class TestDBConnImpl

extends AbstractDBConnection

DOCUMENT ME!

Author:
  Sun Microsystems

Field Summary
`static int` | `SUCCESSFUL_EXIT_ID`

Fields inherited from class com.stc.connector.hl7.framework.persist.connection.AbstractDBConnection
`BATCH_DML_ERROR, DML_ERROR`

Constructor Summary
`TestDBConnImpl(AbstractDBConnection conn)` Creates a new instance of TestDBConnImpl

Method Summary
`void` | `delete(DBObject obj)`
`void` | `delete(java.util.List objs)`
`void` | `endTx()`
`java.sql.ResultSet` | `get(java.lang.String query, java.util.List vals)` executes query
`java.sql.ResultSet` | `getRow(DBObject obj)` executes query
`java.sql.Connection` | `getUnderlyingConnection()` A handle to the undelying JDBC connection
`void` | `insert(DBObject obj)` insert new row to database
`void` | `insert(java.util.List objs)`
`int` | `update(DBObject obj)` executes database update
`void` | `update(java.util.List objs)`

Methods inherited from class com.stc.connector.hl7.framework.persist.connection.AbstractDBConnection
`batchDelete, batchInsert, batchUpdate, executeUpdateOrDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESSFUL_EXIT_ID

    public static final int SUCCESSFUL_EXIT_ID

See Also:
  Constant Field Values

Constructor Detail

### TestDBConnImpl

    public TestDBConnImpl(AbstractDBConnection conn)
                   throws java.sql.SQLException

  Creates a new instance of TestDBConnImpl

  Parameters:
    `conn` - jdbc connection
  Throws:
    `java.sql.SQLException` - SQLException

Method Detail

### insert

    public void insert(DBObject obj)
                throws java.sql.SQLException

  insert new row to database

  Overrides:
    `insert` in class `AbstractDBConnection`
  Parameters:
    `obj` - DBObject
  Throws:
    `java.sql.SQLException` - SQLException

### insert

    public void insert(java.util.List objs)
                throws java.sql.SQLException

  Overrides:
    `insert` in class `AbstractDBConnection`
  Parameters:
    `objs` - List. all the DBObjects are expected to be of the same DBObject instance type. For instance a valid list will have an invalid list may be like . Invalid lists throw SQLException.
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `com.sun.jbi.engine.bpel.core.bpel.connection.DBConnection#insert(java.util.List)`

### update

    public int update(DBObject obj)
               throws java.sql.SQLException

  executes database update

  Overrides:
    `update` in class `AbstractDBConnection`
  Parameters:
    `obj` - DBObject
  Throws:
    `java.sql.SQLException` - SQLException

### update

    public void update(java.util.List objs)
                throws java.sql.SQLException

  Overrides:
    `update` in class `AbstractDBConnection`
  Parameters:
    `objs` - List. all the DBObjects are expected to be of the same DBObject instance type. For instance a valid list will have an invalid list may be like . Invalid lists throw SQLException.
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `com.sun.jbi.engine.bpel.core.bpel.connection.DBConnection#update(java.util.List)`

### delete

    public void delete(DBObject obj)
                throws java.sql.SQLException

  Overrides:
    `delete` in class `AbstractDBConnection`
  Parameters:
    `obj` - DBObject
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `DBConnection#delete(com.sun.jbi.engine.bpel.core.bpel.dbo.DBObject)`

### delete

    public void delete(java.util.List objs)
                throws java.sql.SQLException

  Overrides:
    `delete` in class `AbstractDBConnection`
  Parameters:
    `objs` - List all the DBObjects are expected to be of the same DBObject instance type. For instance a valid list will have an invalid list may be like . Invalid lists throw SQLException.
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `com.sun.jbi.engine.bpel.core.bpel.connection.DBConnection#delete(java.util.List)`

### get

    public java.sql.ResultSet get(java.lang.String query,
                                  java.util.List vals)
                           throws java.sql.SQLException

  Description copied from class: `AbstractDBConnection`
  executes query

  Overrides:
    `get` in class `AbstractDBConnection`
  Parameters:
    `query` - query preparedstatement string
    `vals` - values to be bound to query string
  Returns:
    ResultSet result set
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `com.sun.jbi.engine.bpel.core.bpel.connection.DBConnection#get(java.lang.String, java.util.List)`

### getRow

    public java.sql.ResultSet getRow(DBObject obj)
                              throws java.sql.SQLException

  Description copied from class: `AbstractDBConnection`
  executes query

  Overrides:
    `getRow` in class `AbstractDBConnection`
  Returns:
    ResultSet ResultSet
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `com.sun.jbi.engine.bpel.core.bpel.connection.DBConnection#getRow(com.sun.jbi.engine.bpel.core.bpel.dbo.DBObject)`

### getUnderlyingConnection

    public java.sql.Connection getUnderlyingConnection()

  Description copied from class: `AbstractDBConnection`
  A handle to the undelying JDBC connection

  Overrides:
    `getUnderlyingConnection` in class `AbstractDBConnection`
  Returns:
  See Also:
    `com.sun.jbi.engine.bpel.core.bpel.connection.impl.AbstractDBConnectionImpl#getUnderlyingConnection()`

### endTx

    public void endTx()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD